<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
    <!--
       ========================================================================
         The filterset used when configuring files for the appserver
       ========================================================================
    -->
    <filterset id="maven.appserver.filterset">
      <!-- filters must be explicitly listed from properties instead of file  -->
      <!-- this is due to the user may have overridden these properties and   -->
      <!-- the fact that properties can't be expanded from a filtersfile      -->
      <!-- for the user to add more filter tokens, they should use a callback -->
      <filter token="maven.appserver.name" value="${maven.appserver.name}" />
      <filter token="maven.appserver.version" value="${maven.appserver.name}" />
      <filter token="maven.appserver.home" value="${maven.appserver.home}" />
      <filter token="maven.appserver.dir" value="${maven.appserver.dir}" />
      <filter token="maven.appserver.host" value="${maven.appserver.host}" />
      <filter token="maven.appserver.url" value="${maven.appserver.url}" />
      <filter token="maven.appserver.port.http" value="${maven.appserver.port.http}" />
      <filter token="maven.appserver.port.https" value="${maven.appserver.port.https}" />
      <filter token="maven.appserver.port.one" value="${maven.appserver.port.one}" />
      <filter token="maven.appserver.port.two" value="${maven.appserver.port.two}" />
      <filter token="maven.appserver.port.three" value="${maven.appserver.port.three}" />
      <filter token="maven.appserver.classpath" value="${maven.appserver.classpath}" />
    </filterset>

    <!--
       ========================================================================
         Initialize the build. Must be called by all targets
       ========================================================================
    -->
    <target name="init">
        <tstamp/>
    </target>



